import "./tasks/arriba.wdl" as arriba

workflow {{ project_name }} {
    String sample_id
    File fastq1
    File fastq2
    File STAR_INDEX_DIR
    File ASSEMBLY_FA
    File ANNOTATION_GTF

    String arriba_docker
    String arriba_cluster
    String disk_size

        call arriba.arriba as arriba {
                input:	
                sample_id=sample_id,
                fastq1=fastq1,
                fastq2=fastq2,
                STAR_INDEX_DIR=STAR_INDEX_DIR,
                ASSEMBLY_FA=ASSEMBLY_FA,
                ANNOTATION_GTF=ANNOTATION_GTF,
                docker=arriba_docker,
                cluster=arriba_cluster,
                disk_size=disk_size
        }


}	

